<h4>Login Form</h4>


<form>
  <fieldset>

    <section>

      <label for="username">Username</label>
      <input type="text" [(ngModel)]="username" placeholder="Enter your username" id="username" name="username" >

    </section>



  </fieldset>

  <button type="button" mat-raised-button
          [disabled]="loading$ | async"
          (click)="onLoginClick()" >
    <span *ngIf="loading$ | async" >Loading...</span>
    <span *ngIf="!(loading$ | async)">Login</span>
  </button>


</form>

<section *ngIf="error$ | async as error">
  <h4>name not found</h4>
  <p>{{error}}</p>
</section>
